package com.hai.model;



import com.hai.entity.CmsContent;
import com.hai.entity.CmsPatch;

import java.util.List;

/**
 * @ClassName: CmsContentModel
 * @Description: 内容管理 内容模型
 * @author: gongjia
 * @date: 2019/10/31 12:40
 * @Copyright: 2019 www.shinwoten.com Inc. All rights reserved.
 */
public class CmsContentModel extends CmsContent {

    private String categoryName;
    private List<CmsPatch> pictures;
    private List<CmsPatch> musics;
    private List<CmsPatch> videos;
    private List<CmsPatch> documents;
    private List<CmsPatch> others;

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public List<CmsPatch> getPictures() {
        return pictures;
    }

    public void setPictures(List<CmsPatch> pictures) {
        this.pictures = pictures;
    }

    public List<CmsPatch> getMusics() {
        return musics;
    }

    public void setMusics(List<CmsPatch> musics) {
        this.musics = musics;
    }

    public List<CmsPatch> getVideos() {
        return videos;
    }

    public void setVideos(List<CmsPatch> videos) {
        this.videos = videos;
    }

    public List<CmsPatch> getDocuments() {
        return documents;
    }

    public void setDocuments(List<CmsPatch> documents) {
        this.documents = documents;
    }

    public List<CmsPatch> getOthers() {
        return others;
    }

    public void setOthers(List<CmsPatch> others) {
        this.others = others;
    }
}
